# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.20

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/bin/cmake

# The command to remove a file.
RM = /usr/local/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /media/sf_share/gateway

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /media/sf_share/gateway/build

# Include any dependencies generated for this target.
include unit_test/test/hello/CMakeFiles/main.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include unit_test/test/hello/CMakeFiles/main.dir/compiler_depend.make

# Include the progress variables for this target.
include unit_test/test/hello/CMakeFiles/main.dir/progress.make

# Include the compile flags for this target's objects.
include unit_test/test/hello/CMakeFiles/main.dir/flags.make

unit_test/test/hello/CMakeFiles/main.dir/main.cc.o: unit_test/test/hello/CMakeFiles/main.dir/flags.make
unit_test/test/hello/CMakeFiles/main.dir/main.cc.o: ../unit_test/test/hello/main.cc
unit_test/test/hello/CMakeFiles/main.dir/main.cc.o: unit_test/test/hello/CMakeFiles/main.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/media/sf_share/gateway/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object unit_test/test/hello/CMakeFiles/main.dir/main.cc.o"
	cd /media/sf_share/gateway/build/unit_test/test/hello && /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT unit_test/test/hello/CMakeFiles/main.dir/main.cc.o -MF CMakeFiles/main.dir/main.cc.o.d -o CMakeFiles/main.dir/main.cc.o -c /media/sf_share/gateway/unit_test/test/hello/main.cc

unit_test/test/hello/CMakeFiles/main.dir/main.cc.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/main.dir/main.cc.i"
	cd /media/sf_share/gateway/build/unit_test/test/hello && /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /media/sf_share/gateway/unit_test/test/hello/main.cc > CMakeFiles/main.dir/main.cc.i

unit_test/test/hello/CMakeFiles/main.dir/main.cc.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/main.dir/main.cc.s"
	cd /media/sf_share/gateway/build/unit_test/test/hello && /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /media/sf_share/gateway/unit_test/test/hello/main.cc -o CMakeFiles/main.dir/main.cc.s

# Object files for target main
main_OBJECTS = \
"CMakeFiles/main.dir/main.cc.o"

# External object files for target main
main_EXTERNAL_OBJECTS =

unit_test/test/hello/main: unit_test/test/hello/CMakeFiles/main.dir/main.cc.o
unit_test/test/hello/main: unit_test/test/hello/CMakeFiles/main.dir/build.make
unit_test/test/hello/main: unit_test/test/hello/CMakeFiles/main.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/media/sf_share/gateway/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking CXX executable main"
	cd /media/sf_share/gateway/build/unit_test/test/hello && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/main.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
unit_test/test/hello/CMakeFiles/main.dir/build: unit_test/test/hello/main
.PHONY : unit_test/test/hello/CMakeFiles/main.dir/build

unit_test/test/hello/CMakeFiles/main.dir/clean:
	cd /media/sf_share/gateway/build/unit_test/test/hello && $(CMAKE_COMMAND) -P CMakeFiles/main.dir/cmake_clean.cmake
.PHONY : unit_test/test/hello/CMakeFiles/main.dir/clean

unit_test/test/hello/CMakeFiles/main.dir/depend:
	cd /media/sf_share/gateway/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /media/sf_share/gateway /media/sf_share/gateway/unit_test/test/hello /media/sf_share/gateway/build /media/sf_share/gateway/build/unit_test/test/hello /media/sf_share/gateway/build/unit_test/test/hello/CMakeFiles/main.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : unit_test/test/hello/CMakeFiles/main.dir/depend

